Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Interface PersistenceOutput

All Known Subinterfaces:
  GraphOutput

All Known Implementing Classes:
  GraphTransaction, ModificationQueue, PersistenceOutputDecorator, PersistenceOutputStream, PropertyQueue, Transaction, XAQueue, XMLGraphWriter, XMLPersistenceWriter

    public interface PersistenceOutput

Method Summary
`void` | `beginArray(int length, Type componentType)`
`void` | `beginField(ManageableType.Field field)`
`void` | `beginFields()`
`boolean` | `beginManaged(ManageableType type, boolean writeType)`
`void` | `endArray()`
`void` | `endField(ManageableType.Field field)`
`void` | `endFields()`
`void` | `endManaged(java.lang.Object object, boolean writeType)`
`void` | `setNested(boolean nested)`
`void` | `writeBoolean(boolean value)`
`void` | `writeByte(int value)`
`void` | `writeChar(int value)`
`void` | `writeDouble(double value)`
`void` | `writeFloat(float value)`
`void` | `writeInt(int value)`
`void` | `writeLong(long value)`
`void` | `writeName(java.lang.String value)`
`void` | `writeNullObject()`
`void` | `writeObject(java.lang.Object object, Type type)`
`void` | `writePersistentObjectReference(PersistenceCapable o)`
`void` | `writeSharedObjectReference(Shareable o)`
`void` | `writeShort(int value)`
`void` | `writeString(java.lang.String value)`
`void` | `writeStringObject(java.lang.String value)`

Method Detail

### beginArray

    void beginArray(int length,
                    Type componentType)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginField

    void beginField(ManageableType.Field field)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginFields

    void beginFields()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginManaged

    boolean beginManaged(ManageableType type,
                         boolean writeType)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### endArray

    void endArray()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### endField

    void endField(ManageableType.Field field)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### endFields

    void endFields()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### endManaged

    void endManaged(java.lang.Object object,
                    boolean writeType)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### setNested

    void setNested(boolean nested)

### writeBoolean

    void writeBoolean(boolean value)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeByte

    void writeByte(int value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeChar

    void writeChar(int value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeDouble

    void writeDouble(double value)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFloat

    void writeFloat(float value)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInt

    void writeInt(int value)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLong

    void writeLong(long value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeName

    void writeName(java.lang.String value)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeNullObject

    void writeNullObject()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeObject

    void writeObject(java.lang.Object object,
                     Type type)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writePersistentObjectReference

    void writePersistentObjectReference(PersistenceCapable o)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeSharedObjectReference

    void writeSharedObjectReference(Shareable o)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShort

    void writeShort(int value)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeString

    void writeString(java.lang.String value)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeStringObject

    void writeStringObject(java.lang.String value)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD